AutoCAD顧問
還沒有註冊嗎...即日起免費註冊,所有最完整的AutoCAD討論、教學及資源都在論壇裡喔~

Join the forum, it's quick and easy

AutoCAD顧問
還沒有註冊嗎...即日起免費註冊,所有最完整的AutoCAD討論、教學及資源都在論壇裡喔~
AutoCAD顧問
Would you like to react to this message? Create an account in a few clicks or log in to continue.
【問題】請問幾何公差物件的轉換 Io15011 【問題】請問幾何公差物件的轉換 2020-310 【問題】請問幾何公差物件的轉換 Oiu15010 【問題】請問幾何公差物件的轉換 2020-211 【問題】請問幾何公差物件的轉換 Oo-2-110 【問題】請問幾何公差物件的轉換 BPl3tjj

【問題】請問幾何公差物件的轉換

3 posters

向下

【問題】請問幾何公差物件的轉換 Empty 【問題】請問幾何公差物件的轉換

發表 由 dennis861020 2021-10-04, 14:19

最近上班從另一個廠商拿到圖需要統計零件的數量,結果標註零件的方式是用幾何公差(指令:TOLERANCE)的物件來寫(應該是因為有文字框才用的吧),這個沒辦法直接做統計,在修改上也很麻煩,所以我自己改成圖塊屬性的方式,但是數量實在太多,粗估上千個吧,想請教有沒有快速的方法

以下是我的檔案,想把左邊的物件轉成右邊圖塊的方式
https://drive.google.com/drive/folders/1eEygRBB5L2Pwuse6xpwcaBMG1yc3lZ_Y?usp=sharing

麻煩各路大佬解惑
dennis861020
dennis861020
一般會員
一般會員

文章總數 : 18
年齡 : 24
來自 : 桃園
職業 : 學生
愛好 : 鍵盤
個性 : 開朗
使用年資 : 新手初學
使用版本 : 新手初學
經驗值 : 152
威望值 : 0
注冊日期 : 2021-08-27
男 天秤座 牛

回頂端 向下

【問題】請問幾何公差物件的轉換 Empty 回復: 【問題】請問幾何公差物件的轉換

發表 由 Tiger&蘋果爸 2021-10-06, 12:15

這個AutoCAD沒有可以轉換的指令功能...
上千個只能考慮委外開發LSP程式😅

____________________________________________________________________________________
【問題】請問幾何公差物件的轉換 Oo-2-110 【問題】請問幾何公差物件的轉換 Ia15010 【問題】請問幾何公差物件的轉換 Ziao1510 【問題】請問幾何公差物件的轉換 BPl3tjj
Tiger&蘋果爸
Tiger&蘋果爸
系統管理員
系統管理員

文章總數 : 19880
年齡 : 45
來自 : 台北市文山區
職業 : AutoCAD顧問
愛好 : 蹓狗/戶外活動/拍照
個性 : 幽默/樂觀/善良
使用年資 : 20↑
使用版本 : AutoCAD 2021
經驗值 : 80152
威望值 : 15455
注冊日期 : 2008-04-23
2D基礎函授 2D進階函授 3D基礎函授 https://i.servimg.com/u/f11/19/71/67/71/2d3d10.png2D+3D線上 顧問外掛程式 經典問與答讀者 藍鵲1號
2009聚會勳章 2010聚會勳章 2011聚會勳章 2012聚會勳章 2013勳章-2D基礎 2014聚會勳章 2015聚會勳章 2016聚會勳章 串連貼紙成功 男 水瓶座 兔

http://mypaper.pchome.com.tw/kv1012tiger

回頂端 向下

【問題】請問幾何公差物件的轉換 Empty 選取 TOLERANCE 自動轉換成 COM 圖塊屬性改名字

發表 由 shackle_2005 2021-10-12, 16:08

Option Explicit

Public tm As AcadModelSpace ' 設 tm 簡化名稱圖紙空間
Public tu As AcadUtility
Public pi As Double

Public Sub test()

On Error Resume Next

ThisDrawing.SendCommand "ucs" & vbCr & "w" & vbCr
ThisDrawing.SendCommand "undo" & vbCr & "be" & vbCr
pi = 3.141592 / 180

Set tm = ThisDrawing.ModelSpace: Set tu = ThisDrawing.Utility

Dim tol As AcadTolerance
Dim blkref_obj As AcadBlockReference
Dim att As Variant
Dim i_count As Integer
Dim new_text As String
Dim char_obj As String
Dim basePnt As Variant

Do While True

tu.GetEntity tol, basePnt, "請選取 TOLERANCE !! < ESC 結束 > "

If Err <> 0 Then Exit Sub

For i_count = 1 To Len(tol.TextString)

   char_obj = Mid(tol.TextString, i_count, 1)

   If char_obj <> "%" And char_obj <> "v" Then new_text = new_text & char_obj

Next i_count

Dim new_blkref As AcadBlockReference

Set new_blkref = tm.InsertBlock(tol.insertionPoint, "COM", 1.8336, 1.8336, 1, 0)

att = new_blkref.GetAttributes

att(0).TextString = new_text: new_blkref.Update

tol.Delete

Loop

ThisDrawing.SendCommand "undo" & vbCr & "e" & vbCr

End Sub
附件
【問題】請問幾何公差物件的轉換 Attachment
tolerance_to_att.zip 您無權下載這里的附件。(17 Kb) 下載 0 次
shackle_2005
shackle_2005
初級會員
初級會員

文章總數 : 221
年齡 : 50
來自 : 台中
職業 : 程式設計
愛好 : 音樂
個性 : 隨和
使用年資 : 10 年
使用版本 : 2013
積分 : 3
經驗值 : 5544
威望值 : 322
注冊日期 : 2010-09-20
男 獅子座 豬

回頂端 向下

回頂端


 
這個論壇的權限:
無法 在這個版面回復文章
【問題】請問幾何公差物件的轉換 Uos15010 【問題】請問幾何公差物件的轉換 BPl3tjj 【問題】請問幾何公差物件的轉換 Ziao1510 【問題】請問幾何公差物件的轉換 Oo-2-110 【問題】請問幾何公差物件的轉換 Oooo-110 【問題】請問幾何公差物件的轉換 2020-211